Loading...
Searching...
No Matches
Gudhi::coxeter_triangulation::Function_moment_curve_in_Rd Class Reference

A class for the function that defines an implicit moment curve in the d-dimensional Euclidean space. More...

`#include <include/gudhi/Functions/Function_moment_curve_in_Rd.h>`

## Public Member Functions

Eigen::VectorXd | operator() (const Eigen::VectorXd &p) const
| Value of the function at a specified point.
std::size_t | amb_d () const
| Returns the domain (ambient) dimension..
std::size_t | cod_d () const
| Returns the codomain dimension.
Eigen::VectorXd | seed () const
| Returns a point on the moment curve.
double | get_radius () const
| Returns the radius of the moment curve.
| Function_moment_curve_in_Rd (double r, std::size_t d)
| Constructor of the function that defines an implicit moment curve in the d-dimensional Euclidean space.
| Function_moment_curve_in_Rd (double r, std::size_t d, Eigen::VectorXd &offset)
| Constructor of the function that defines an implicit moment curve in the d-dimensional Euclidean space.

## Detailed Description

A class for the function that defines an implicit moment curve in the d-dimensional Euclidean space.

## Constructor & Destructor Documentation

## Function_moment_curve_in_Rd() [1/2]

Gudhi::coxeter_triangulation::Function_moment_curve_in_Rd::Function_moment_curve_in_Rd | ( | double | r,
|  | std::size_t | d )

inline

Constructor of the function that defines an implicit moment curve in the d-dimensional Euclidean space.

Parameters

  [in] | r | Numerical parameter.
  [in] | d | The ambient dimension.

## Function_moment_curve_in_Rd() [2/2]

Gudhi::coxeter_triangulation::Function_moment_curve_in_Rd::Function_moment_curve_in_Rd | ( | double | r,
|  | std::size_t | d,
|  | Eigen::VectorXd & | offset )

inline

Constructor of the function that defines an implicit moment curve in the d-dimensional Euclidean space.

Parameters

  [in] | r | Numerical parameter.
  [in] | d | The ambient dimension.
  [in] | offset | The offset of the moment curve.

## Member Function Documentation

## operator()()

Eigen::VectorXd Gudhi::coxeter_triangulation::Function_moment_curve_in_Rd::operator() | ( | const Eigen::VectorXd & | p | ) | const

inline

Value of the function at a specified point.

Parameters

  [in] | p | The input point. The dimension needs to coincide with the ambient dimension.

The documentation for this class was generated from the following file:

- include/gudhi/Functions/Function_moment_curve_in_Rd.h